org.apache.sling.nosql.couchbase.resourceprovider.impl

## Class CouchbaseNoSqlAdapter

- java.lang.Object
- - org.apache.sling.nosql.generic.adapter.AbstractNoSqlAdapter
  - - org.apache.sling.nosql.couchbase.resourceprovider.impl.CouchbaseNoSqlAdapter

All Implemented Interfaces:
  org.apache.sling.nosql.generic.adapter.NoSqlAdapter

    public final class CouchbaseNoSqlAdapter
    extends org.apache.sling.nosql.generic.adapter.AbstractNoSqlAdapter

`NoSqlAdapter` implementation for Couchbase.

### Constructor Summary

Constructors
Constructor and Description
`CouchbaseNoSqlAdapter(org.apache.sling.nosql.couchbase.client.CouchbaseClient couchbaseClient, String cacheKeyPrefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkConnection()`
`void` `createIndexDefinitions()`
`boolean` `deleteRecursive(String path)`
`org.apache.sling.nosql.generic.adapter.NoSqlData` `get(String path)`
`Iterator<org.apache.sling.nosql.generic.adapter.NoSqlData>` `getChildren(String parentPath)`
`boolean` `store(org.apache.sling.nosql.generic.adapter.NoSqlData data)`
`boolean` `validPath(String path)`

### Methods inherited from class org.apache.sling.nosql.generic.adapter.AbstractNoSqlAdapter

`query`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CouchbaseNoSqlAdapter

    public CouchbaseNoSqlAdapter(org.apache.sling.nosql.couchbase.client.CouchbaseClient couchbaseClient,
                                 String cacheKeyPrefix)

### Method Detail

#### validPath

    public boolean validPath(String path)

Specified by:
  `validPath` in interface `org.apache.sling.nosql.generic.adapter.NoSqlAdapter`
Overrides:
  `validPath` in class `org.apache.sling.nosql.generic.adapter.AbstractNoSqlAdapter`

#### get

    public org.apache.sling.nosql.generic.adapter.NoSqlData get(String path)

#### getChildren

    public Iterator<org.apache.sling.nosql.generic.adapter.NoSqlData> getChildren(String parentPath)

#### store

    public boolean store(org.apache.sling.nosql.generic.adapter.NoSqlData data)

#### deleteRecursive

    public boolean deleteRecursive(String path)

#### checkConnection

    public void checkConnection()
                         throws org.apache.sling.api.resource.LoginException

Throws:
  `org.apache.sling.api.resource.LoginException`

#### createIndexDefinitions

    public void createIndexDefinitions()